#!/usr/bin/env python
# -*- coding: utf-8 -*-

#---------------------------------------------------------------------------
#
# dumpfreak v1.1
# 
# http://sankichi.backdrop.jp/
#---------------------------------------------------------------------------

# Windows10で実行する際はコマンドプロンプト上で
# > chcp 65001
# を実行してから起動すること。

import sys
import glob
import serial
import datetime
import struct
import time

from classes import df_Msg
from classes import dfMenu
from classes import df_Common

# デバッグ用の冗長なログ出力 0:OFF,1:ON
verbose = 0

#---------------------------------------------------------------------------
# 定数など
#---------------------------------------------------------------------------

# ヘルプメッセージ
helpMsg =   'usage: %s ComPortName                          \n'\
            '       ComPortName : シリアルポート名(例: COM1)'

#---------------------------------------------------------------------------
#
# mainルーチン
#
#---------------------------------------------------------------------------
if __name__ == '__main__':
    # 引数の解析
    args = sys.argv
    
    if len(args) < (1 + 1):
        print(helpMsg % (args[0]))
        print('')
        print('使用可能なシリアルポート名一覧:')
        for portName in df_Common.serial_ports():
            print(portName)
        sys.exit(0)
    
    comPortName = args[1]
    
    """
    try:
        # シリアルポートオープン
        s = serial.Serial(comPortName, 115200, timeout=0.25)
    
        # メニュー処理
        dfMenu.menuLoop(s)

        # シリアルポートクローズ
        s.close()

    except (OSError, serial.SerialException):
        print('例外発生')
        pass
    """
    # シリアルポートオープン
    s = serial.Serial(comPortName, 115200, timeout=0.25)

    # メニュー処理
    dfMenu.menuLoop(s)

    # シリアルポートクローズ
    s.close()
